rename-flac(1)

Name
rename-flac - CLI tool to rename FLAC files

Synopsis
rename-flac <scheme> <directory> [--verbose] [--sanitize-slash [CHAR]]
rename-flac (-h | --help)
rename-flac --version

Description

rename-flac is a command-line tool that takes the information from FLAC metadata to batch rename the files according to a filenaming scheme.

Arguments
<scheme>     filenaming scheme
<directory>  path to the directory containing the album

Options
-h --help  Shows the help screen
--sanitize-slash [CHAR]  Replace "/" in metadata with a filesystem-safe character. Defaults to "∕" (Division Slash U+2215)
--version  Outputs version information
--verbose  Runs the program as verbose mode

These are the options you can use to define the filenaming scheme:
%a - Artist  |  %b - Album        |  %c - Composer  |  %d - Date
%g - Genre   |  %n - Tracknumber  |  %t - Title

Examples
        $ rename-flac "%n - %t" "/home/user/Music/The Beatles" --sanitize-slash

Bugs

Bugs can be reported to your distribution's bug tracker or upstream at <https://gitlab.com/baldurmen/rename-flac/issues>.

Author
Louis-Philippe Véronneau